"""
The `nPYc-Toolbox <https://github.com/phenomecentre/nPYc-Toolbox>`_ defines objects for representing, and implements functions to manipulate and display, metabolic profiling datasets.
"""

__version__ = '1.2.7'


from . import enumerations
from .objects import Dataset, MSDataset, NMRDataset, TargetedDataset
from . import utilities
from . import plotting
from . import reports
from . import batchAndROCorrection
from . import multivariate

__all__ = ['Dataset', 'MSDataset', 'plotting', 'reports', 'extractParams', 'NMRDataset', 'multivariate', 'TargetedDataset']
